Debian Bug report logs - #533293
RFP: libnet-packet-perl -- a framework to easily send

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Paul Evans <leonerd@leonerd.org.uk>

Date: Tue, 16 Jun 2009 11:12:05 UTC

Severity: wishlist

Tags: wontfix

Done: Jonathan Yu <jawnsy@cpan.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533293; Package wnpp. (Tue, 16 Jun 2009 11:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Evans <leonerd@leonerd.org.uk>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Tue, 16 Jun 2009 11:12:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Evans <leonerd@leonerd.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libnet-packet-perl -- a framework to easily send and receive frames from layer 2 to layer 7
Date: Tue, 16 Jun 2009 11:18:05 +0100
Package: wnpp
Severity: wishlist


This perl module provides packet building/parsing. It is useful
alongside libnet-pcap-perl for parsing the captured packets off the
wire.

* Package name    : libnet-packet-perl
  Version         : 3.26
  Upstream Author : Patrice Auffret (gomor@cpan.org)
* URL             : http://search.cpan.org/~gomor/Net-Packet-3.26/
* License         : Artistic
  Programming Lang: Perl
  Description     : a framework to easily send and receive frames from layer 2 to layer 7

This module is a unified framework to craft, send and receive packets at
layers 2, 3, 4 and 7.

Basically, you forge each layer of a frame (Net::Packet::IPv4 for layer
3, Net::Packet::TCP for layer 4; for example), and pack all of this into
a Net::Packet::Frame object. Then, you can send the frame to the
network, and receive its response easily, because the response is
automatically searched for and matched against the request (not
implemented for all layers).




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#533293; Package wnpp. (Wed, 17 Jun 2009 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul LeoNerd Evans <leonerd@leonerd.org.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Wed, 17 Jun 2009 17:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 533293@bugs.debian.org (full text, mbox):

From: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
To: 533293@bugs.debian.org
Subject: Re: Bug#533293: Acknowledgement (RFP: libnet-packet-perl -- a framework to easily send and receive frames from layer 2 to layer 7)
Date: Wed, 17 Jun 2009 18:51:27 +0100
[Message part 1 (text/plain, inline)]
Actually I have looked into building this for debian myself, and hit
upon a problem.

It requires in its perl dependency chain the following module:

  http://search.cpan.org/~gomor/Net-Libdnet-0.92/lib/Net/Libdnet.pm

which wraps the following C library:

  http://libdnet.sourceforge.net/

debian already has a libdnet package, which isn't the above.


In any event, the NetPacket package seems a better alternative to
Net::Packet, as it contains just pure perl building/parsing code, rather
than the full machinery of packet sending, as Net::Packet has.


This would be preferrable.

-- 
Paul "LeoNerd" Evans

leonerd@leonerd.org.uk
ICQ# 4135350       |  Registered Linux# 179460
http://www.leonerd.org.uk/
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: libnet-packet-perl -- a framework to easily send' from 'RFP: libnet-packet-perl -- a framework to easily send and receive frames from layer 2 to layer 7' Request was from Jonathan Yu <jonathan.i.yu@gmail.com> to control@bugs.debian.org. (Sun, 03 Jan 2010 06:48:02 GMT) Full text and rfc822 format available.

Owner recorded as jawnsy@cpan.org. Request was from Jonathan Yu <jonathan.i.yu@gmail.com> to control@bugs.debian.org. (Sun, 03 Jan 2010 06:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, jawnsy@cpan.org:
Bug#533293; Package wnpp. (Sun, 10 Jan 2010 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jonathan.i.yu@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, jawnsy@cpan.org. (Sun, 10 Jan 2010 18:33:02 GMT) Full text and rfc822 format available.

Message #19 received at 533293@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jonathan.i.yu@gmail.com>
To: 533293@bugs.debian.org
Cc: Paul LeoNerd Evans <leonerd@leonerd.org.uk>
Subject: NOT packaging libnet-packet-perl
Date: Sun, 10 Jan 2010 13:29:27 -0500
tags 533293 + wontfix
thanks

Hi:

I'm NOT packaging libnet-packet-perl at this time and tagging this bug
as "wontfix" because there are lots of warnings during build
indicating that this module is no longer supported, instead in favour
of the Net::Frame module by the same author. Instead, I'll be filing
an ITP to package *that* module over the next few days.

My apologies for not noticing this earlier. You should be able to
accomplish the same things with Net::Frame; as I understand it, the
author intends to promote use of this new module:

From Net::Packet's build log--

*** Net::Packet is obsolete, you will receive no support.
*** Now use Net::Frame::* modules.

From the description of Net::Frame--

Net::Frame is a fork of Net::Packet. The goal here was to greatly
simplify the use of the frame crafting framework. Net::Packet does
many things undercover, and it was difficult to document all the
thingies.




Added tag(s) wontfix. Request was from Jonathan Yu <jonathan.i.yu@gmail.com> to control@bugs.debian.org. (Sun, 10 Jan 2010 18:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, jawnsy@cpan.org:
Bug#533293; Package wnpp. (Sat, 19 Feb 2011 17:59:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, jawnsy@cpan.org. (Sat, 19 Feb 2011 17:59:55 GMT) Full text and rfc822 format available.

Message #26 received at 533293@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 533293@bugs.debian.org
Cc: control@bugs.debian.org
Subject: libnet-packet-perl: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:54 +0000
retitle 533293 RFP: libnet-packet-perl -- a framework to easily send
noowner 533293
thanks

Hi,

This is an automatic email to change the status of libnet-packet-perl back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting libnet-packet-perl, please send a mail to
<control@bugs.debian.org> with:

 retitle 533293 ITP: libnet-packet-perl -- a framework to easily send
 owner 533293 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <533293@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: libnet-packet-perl -- a framework to easily send' from 'ITP: libnet-packet-perl -- a framework to easily send' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:01 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by jawnsy@cpan.org. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:05:01 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Yu <jawnsy@cpan.org>:
You have taken responsibility. (Fri, 11 Mar 2011 02:21:06 GMT) Full text and rfc822 format available.

Notification sent to Paul Evans <leonerd@leonerd.org.uk>:
Bug acknowledged by developer. (Fri, 11 Mar 2011 02:21:06 GMT) Full text and rfc822 format available.

Message #35 received at 533293-done@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: 533293-done@bugs.debian.org
Date: Thu, 10 Mar 2011 21:17:42 -0500
Closing this bug without resolving it, since Net::Packet is deprecated upstream.

This will instead be replaced by packaging Net::Frame.

Cheers,

Jonathan




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Apr 2011 07:59:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:39:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.